Package org.tmatesoft.svn.core.wc2.admin

# Class SvnRepositoryReceivingOperation<T>

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<T>
org.tmatesoft.svn.core.wc2.SvnReceivingOperation<T>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation<T>

All Implemented Interfaces:
  `ISvnObjectReceiver<T>`, `ISvnOperationOptionsProvider`

Direct Known Subclasses:
  `SvnRepositoryCopyRevisionProperties`, `SvnRepositoryDump`, `SvnRepositoryGetChanged`, `SvnRepositoryGetChangedDirectories`, `SvnRepositoryGetHistory`, `SvnRepositoryGetTree`, `SvnRepositoryListLocks`, `SvnRepositoryListTransactions`, `SvnRepositoryLoad`, `SvnRepositoryPack`, `SvnRepositoryRecover`, `SvnRepositoryRemoveLocks`, `SvnRepositoryRemoveTransactions`, `SvnRepositoryUpgrade`, `SvnRepositoryVerify`

public abstract class SvnRepositoryReceivingOperation<T> extends SvnReceivingOperation<T>

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnRepositoryReceivingOperation(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getRepositoryRoot()`
`void`
`setRepositoryRoot(File repositoryRoot)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnRepositoryReceivingOperation

protected SvnRepositoryReceivingOperation(SvnOperationFactory factory)

## Method Details

### setRepositoryRoot

public void setRepositoryRoot(File repositoryRoot)

### getRepositoryRoot

public File getRepositoryRoot()